Main Page Widgets Namespaces Book

# Gtk::GammaCurve Class Reference
[Widgets]

Inheritance diagram for Gtk::GammaCurve:

[legend]
List of all members.

## Detailed Description

A subclass of Gtk::Curve for editing gamma curves.

## Public Member Functions

virtual | ~GammaCurve ()
GtkGammaCurve* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkGammaCurve* | gobj () const
| Provides access to the underlying C GtkObject.
| GammaCurve ()

## Related Functions

(Note that these are not member functions.)
Gtk::GammaCurve* | wrap (GtkGammaCurve* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::GammaCurve::~GammaCurve | ( |  | ) | `[virtual]`

Gtk::GammaCurve::GammaCurve | ( |  | ) |

## Member Function Documentation

const GtkGammaCurve* Gtk::GammaCurve::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::VBox.

GtkGammaCurve* Gtk::GammaCurve::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::VBox.

## Friends And Related Function Documentation

Gtk::GammaCurve* wrap | ( | GtkGammaCurve* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following file:

- curve.h